<template>
    <section v-if="isLoading" class="flex flex-col justify-center items-center w-screen h-screen">
        <h1 class="text-3xl">Espere por favor</h1>
        <h3 class="animate-pulse">Cargando Pokémons</h3>
    </section>

    <section v-else class="flex flex-col justify-center items-center w-screen h-screen">
        <h1 class="m-5">Quién es este pokémon?</h1>
        <div class="h2">
            <button
                class="my-5 bg-green-200 shadow-md rounded-lg p-3 m-2 cursor-pointer w-40 text-center transition-all hover:bg-green-300"
                v-if="gameStatus !== GameStatus.Playing" @click="getNextRound(4)">Juega de nuevo!</button>
        </div>
        <!-- pokemon picture  -->
        <PokemonPicture :pokemon-id="randomPokemon.id" :show-pokemon="gameStatus !== GameStatus.Playing" />

        <!-- pokemon options  -->
        <PokemonOptions :options="options" @on-selected="checkAnswer"
            :block-selection="gameStatus !== GameStatus.Playing" :correct-answer="randomPokemon.id" />
    </section>
</template>

<script setup lang="ts">
import PokemonOptions from '../components/PokemonOptions.vue';
import PokemonPicture from '../components/PokemonPicture.vue';
import { usePokemonGame } from '../composables/usePokemonGame';
import { GameStatus } from '../interfaces';

const { randomPokemon, isLoading, gameStatus, pokemonsOptions: options, checkAnswer, getNextRound } = usePokemonGame()
</script>